Bug 833206 - [abrt] libreport-gtk-2.0.10-3.fc17: _cairo_spline_decompose_into: Process /usr/bin/report-gtk was killed by signal 11 (SIGSEGV)
[abrt] libreport-gtk-2.0.10-3.fc17: _cairo_spline_decompose_into: Process /us...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libreport (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
abrt_hash:ee438b48e3a0482c1920ea2250f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 17:23 EDT by smeg
Modified: 2013-07-31 13:34 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:34:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (6.42 KB, text/plain)
2012-06-18 17:23 EDT, smeg
no flags Details
File: maps (33.84 KB, text/plain)
2012-06-18 17:23 EDT, smeg
no flags Details
File: backtrace (887.53 KB, text/plain)
2012-06-18 17:24 EDT, smeg
no flags Details
File: core_backtrace (134.00 KB, text/plain)
2012-06-18 17:24 EDT, smeg
no flags Details

  None (edit)
Description smeg 2012-06-18 17:23:22 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        report-gtk -- /var/spool/abrt/ccpp-2012-06-08-11:51:49-1808
comment:        I don't know when this occurred.
crash_function: _cairo_spline_decompose_into
executable:     /usr/bin/report-gtk
kernel:         3.4.0-1.fc17.x86_64
pid:            5904
time:           Fri 08 Jun 2012 11:57:27 AM CDT
uid:            1000
username:       smegs

backtrace:      Text file, 908832 bytes
core_backtrace: Text file, 137216 bytes
dso_list:       Text file, 6576 bytes
maps:           Text file, 34655 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/smegs/4

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=4
:HOSTNAME=europa
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/smegs/keyring-G44ehm
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=smegs
:USERNAME=smegs
:MAIL=/var/spool/mail/smegs
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/smegs/.local/bin:/home/smegs/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/smegs
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1603
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/smegs
:SHLVL=1
:LOGNAME=smegs
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-7lAtmMKrDx,guid=2e4f75ef767ca8cf613d2ab60000006a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/smegs
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-smegs-aJztWo/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1605,unix/unix:/tmp/.ICE-unix/1605
:SSH_AUTH_SOCK=/run/user/smegs/keyring-G44ehm/ssh
:GPG_AGENT_INFO=/run/user/smegs/keyring-G44ehm/gpg:0:1
:DESKTOP_AUTOSTART_ID=10ae9813914aec7321133917059379963200000016050012
:ABRT_VERBOSE=0
:LIBREPORT_PRGNAME=abrt-applet

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31458                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31458                31458                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/smegs/.xsession-errors
:2:/home/smegs/.xsession-errors
:3:socket:[1358953]
:4:anon_inode:[eventfd]
:5:socket:[1359367]
:6:/dev/urandom
:7:socket:[1360310]
:8:anon_inode:inotify

smolt_data:
:
:
:General
:=================================
:UUID: c85fcadc-0325-4a73-a8d4-300000061a61
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3990.07
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T6400  @ 2.00GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2000
:System Memory: 3953
:System Swap: 6015
:Vendor: TOSHIBA
:System: Satellite A305 PSAGCU-09S01S
:Form factor: Notebook
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10816:4473:65310) pci, None, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10817:4473:65310) pci, pcieport, PCI/PCI, Mobile 4 Series Chipset PCI Express Graphics Port
:(32902:10544:4473:65310) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:4473:65310) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10521:4473:65310) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(4332:33078:4473:65310) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(4480:2098:4473:65310) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(32902:10549:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:9288:4473:65310) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10553:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4473:65310) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4473:65310) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:16946:32902:4609) pci, iwlwifi, NETWORK, WiFi Link 5100 AGN
:(32902:10560:4473:65310) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4473:65310) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10568:4473:65310) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4473:65310) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(4480:2082:4473:65310) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(32902:10548:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(4098:43552:4473:65310) pci, snd_hda_intel, MULTIMEDIA, RV635 Audio device [Radeon HD 3600 Series]
:(4098:38289:4473:65310) pci, radeon, VIDEO, Mobility Radeon HD 3650
:(4480:1426:4473:65310) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:(4480:2130:4473:65310) pci, None, BASE, xD-Picture Card Controller
:(32902:10552:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_europa-lv_root / ext4 4096 4096 3943195 1729277 1531441 989296 775913 775913
:/dev/sda5 /boot ext4 1024 1024 508745 400321 374721 128016 127667 127667
:/dev/sda2 WITHHELD fuseblk 4096 4096 70047231 37650661 37650661 150930324 150746605 150746605
:

var_log_messages:
:Jun  8 11:57:27 europa kernel: [ 4160.750378] report-gtk[5904]: segfault at 7fffb79b7ff8 ip 0000003672843797 sp 00007fffb79b8000 error 6 in libcairo.so.2.11000.2[3672800000+a5000]
:Jun  8 11:57:27 europa abrt[5932]: Saved core dump of pid 5904 (/usr/bin/report-gtk) to /var/spool/abrt/ccpp-2012-06-08-11:57:27-5904 (14450688 bytes)

xsession_errors:
:[getInfoForProcessID] Hash: 64f496607f9c24cdd5dfabaad25508e1fa733649, Name: report-gtk, path: /usr/bin/report-gtk
:[getInfoForProcessID] Hash: 64f496607f9c24cdd5dfabaad25508e1fa733649, Name: report-gtk, path: /usr/bin/report-gtk
:[getInfoForProcessID] Hash: 64f496607f9c24cdd5dfabaad25508e1fa733649, Name: report-gtk, path: /usr/bin/report-gtk
:[getInfoForProcessID] Hash: 64f496607f9c24cdd5dfabaad25508e1fa733649, Name: report-gtk, path: /usr/bin/report-gtk
:[getInfoForProcessID] Hash: 64f496607f9c24cdd5dfabaad25508e1fa733649, Name: report-gtk, path: /usr/bin/report-gtk
Comment 1 smeg 2012-06-18 17:23:29 EDT
Created attachment 592756 [details]
File: dso_list
Comment 2 smeg 2012-06-18 17:23:31 EDT
Created attachment 592757 [details]
File: maps
Comment 3 smeg 2012-06-18 17:24:00 EDT
Created attachment 592758 [details]
File: backtrace
Comment 4 smeg 2012-06-18 17:24:05 EDT
Created attachment 592759 [details]
File: core_backtrace
Comment 5 smeg 2012-06-19 17:34:34 EDT
1. Try to report something 
2. Run debug via retrace server
3. fail


backtrace_rating: 4
Package: libreport-gtk-2.0.10-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Fedora End Of Life 2013-07-03 15:16:41 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 13:34:58 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.